Bug 810274 - removing a virtual disk will not remove its corresponding snapshot
removing a virtual disk will not remove its corresponding snapshot
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.4
Assigned To: lpeer
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 10:02 EDT by Avihai Shoham
Modified: 2016-02-10 11:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 02:33:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs+info (571.09 KB, application/x-gzip)
2012-04-05 10:02 EDT, Avihai Shoham
no flags Details

  None (edit)
Description Avihai Shoham 2012-04-05 10:02:43 EDT
Created attachment 575427 [details]
logs+info

Description of problem:
i had a VM with virtual disk and snapshots that created while the disk exists.
when i deleted the disk , the snapshot still exists and did not removed as well.




Steps to Reproduce:
1.create VM 
2.create disk and snapshots
3.remove disk --> snapshot still exists

  


Expected results:

when removing a disk from VM and it will remove its corresponding snapshots.
i verify this is behaviour in rhevm

see attached for logs and more info
Comment 1 Itamar Heim 2012-12-12 02:33:15 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.